LP#1434728: make password_required configurable per library